weka.classifiers.functions.neural

## Class SigmoidUnit

- java.lang.Object
- - weka.classifiers.functions.neural.SigmoidUnit

- All Implemented Interfaces:
    java.io.Serializable, NeuralMethod, RevisionHandler

      public class SigmoidUnit
      extends java.lang.Object
      implements NeuralMethod, RevisionHandler

  This can be used by the neuralnode to perform all it's computations (as a sigmoid unit).
  Version:
    $Revision: 8034 $
  Author:
    Malcolm Ware (mfw4@cs.waikato.ac.nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SigmoidUnit()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `errorValue(NeuralNode node)` This function calculates what the error value should be.
    `java.lang.String` | `getRevision()` Returns the revision string.
    `double` | `outputValue(NeuralNode node)` This function calculates what the output value should be.
    `void` | `updateWeights(NeuralNode node, double learn, double momentum)` This function will calculate what the change in weights should be and also update them.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SigmoidUnit

          public SigmoidUnit()

  - ### Method Detail

    - #### outputValue

          public double outputValue(NeuralNode node)

      This function calculates what the output value should be.
      Specified by:
        `outputValue` in interface `NeuralMethod`
      Parameters:
        `node` - The node to calculate the value for.
      Returns:
        The value.

    - #### errorValue

          public double errorValue(NeuralNode node)

      This function calculates what the error value should be.
      Specified by:
        `errorValue` in interface `NeuralMethod`
      Parameters:
        `node` - The node to calculate the error for.
      Returns:
        The error.

    - #### updateWeights

          public void updateWeights(NeuralNode node,
                                    double learn,
                                    double momentum)

      This function will calculate what the change in weights should be and also update them.
      Specified by:
        `updateWeights` in interface `NeuralMethod`
      Parameters:
        `node` - The node to update the weights for.
        `learn` - The learning rate to use.
        `momentum` - The momentum to use.

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision